CVE-2020-13631

Affecting sqlite3 package, versions <0.0.0

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

Amendment

This was deemed not a vulnerability.

Overview

Affected versions of this package are vulnerable to CVE-2020-13631. SQLite before 3.32.0 allows a virtual table to be renamed to the name of one of its shadow tables, related to alter.c and build.c.

References

CVSS Score

5.5
low severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N
CVE
CVE-2020-13631
Snyk ID
SNYK-UBUNTU1804-SQLITE3-571704
Disclosed
27 May, 2020
Published
27 May, 2020